/*******************************************************************************
 * FoxUIWaitTimerWidget generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxUIWaitTimerWidget extends FoxUIBaseWidget within GFxMoviePlayer
    native(UI);

var const string WidgetSymbolName;
var const string WidgetContainerPath;

function Initialize(int PosX, int PosY, string Label)
{
    SetPosition(float(PosX), float(PosY));
    SetLabel(Label);
    Outer.Advance(0.0);
    //return;    
}

function Cleanup()
{
    RemoveMovieClip();
    //return;    
}

function SetLabel(string Label)
{
    SetString("label", Label);
    //return;    
}

function StartLoginAnimation()
{
    as_startLoginAnimation(true);
    //return;    
}

function as_startLoginAnimation(bool bStart)
{
    ActionScriptVoid("startLogin");
    //return;    
}

defaultproperties
{
    WidgetSymbolName="w_waitTimer2.0"
    WidgetContainerPath="_root.rootPanel"
}